Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78559 - Can't boot SMP kernel on UP machine
Summary: Can't boot SMP kernel on UP machine
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-25 20:55 UTC by paulm
Modified: 2008-08-01 16:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:14 UTC


Attachments (Terms of Use)
2.4.19-smp succesful boot log. (deleted)
2002-11-26 09:37 UTC, Seth Mos
no flags Details

Description paulm 2002-11-25 20:55:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install stock kernel-smp-2.4.18-18.7.x.i686
2. on IBM netfinity 5100 Uniprocessor (scsi)
3. Reboot....
	

Actual Results:  The server hung during the boot sequence

Expected Results:  Should be able to boot an SMP kernel on a Uni Processor 
server. 

Additional info:

I installed the non-smp of the same kernel, and that worked fine, I also went 
back to a 2.4.18-10 smp kernel, and booted fine. I have always been able to 
run SMP kernels on UP machines (it is a requirement to be able to run on smp 
servers if we have a cpu fail)  I also tested a few other varieties of i686 
servers, and they cannot boot this version of the smp kernel either.

Comment 1 Seth Mos 2002-11-26 09:36:51 UTC
Me too, the boot hangs after the 2048 pty line.

PowerEdge 1300 Single PIII 450
Intel 440BX mainboard (smap capable)
256MB ECC SDRAM
40GB IDE bootdrive on onboard IDE controller.
Latest BIOS
2.4.19-smp succesful bootlog attached.

Comment 2 Seth Mos 2002-11-26 09:37:52 UTC
Created attachment 86484 [details]
2.4.19-smp succesful boot log.

Comment 3 paulm 2002-11-27 20:35:30 UTC
More helpful info- boot fails at this line:
Real Time Clock Driver


Comment 4 Per Hedeland 2003-03-21 23:54:50 UTC
This sounds very similar to the bug I'm seeing with kernel 2.4.18-26.7.x
- the SMP kernel hangs at boot on a number of UP systems where 2.4.18-26.7.x
UP works fine, as does 2.4.18-10 SMP. I believe the common thing with the
systems that fail is that they have an "IO-APIC", e.g. systems with SMP
support but only one CPU installed, but also others.

E.g. here is the final output on a Dell-1550 with one CPU
installed:

  ...
  PCI->APIC IRQ transform: (B2,I5,P1) -> 28
  PCI->APIC IRQ transform: (B2,I6,P0) -> 29
  Linux NET4.0 for Linux 2.4
  Based upon Swansea University Computer Society NET3.039
  Initializing RT netlink socket
  Starting kswapd
  pt

The modification in the diff below seems to fix or at least work
around the problem, but I'm unsure whether it is the "proper"
one - any comments appreciated.

Thanks

--Per Hedeland

--- arch/i386/kernel/io_apic.c.ORIG	  5 Mar 2003 11:24:51 -0000
+++ arch/i386/kernel/io_apic.c  19 Mar 2003 23:04:28 -0000
@@ -249,6 +249,8 @@
	  irq_balance_t *entry = irq_balance + irq;
	  unsigned long now = jiffies;
 
+	  if (smp_num_cpus == 1)
+		  return;
	  if (unlikely(entry->timestamp != now)) {
		  unsigned long allowed_mask;
		  int random_number;


Comment 5 Bugzilla owner 2004-09-30 15:40:14 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.